ioremap_nocache
Prev | Chapter 5. Public Functions Provided | Next

## Name

ioremap_nocache — map bus memory into CPU space

## Synopsis

`void __iomem * ioremap_nocache (` | unsigned long | offset,
| unsigned long | size`)`;

## Arguments

`offset`

  bus address of the memory

`size`

  size of the resource to map

## Description

ioremap performs a platform specific sequence of operations to make bus memory CPU accessible via the readb/readw/readl/writeb/ writew/writel functions and the other mmio helpers. The returned address is not guaranteed to be usable directly as a virtual address.

If the area you are trying to map is a PCI BAR you should have a look at `pci_iomap`.

Prev | Up | Next
phys_to_virt | Home | pci_iomap